:root{
    --main-text: #83946a;
    --secondary-text: #b9ca9e;
    --highlight: #e574a4;
    --secondary-highlight: #e4c7cb;
    --white: #fff;
    --background: #eeffd3;
    --main-bg: url(/res/bg/write.jpg);
    --secondary-bg: url(/res/bg/write2.png);
    --border: url(/res/border/write.png);
}

.darkmode {
    --main-text: #896b95;
    --secondary-text: #4e3561;
    --highlight: #1a8b7c;
    --secondary-highlight: #1b3838;
    --white: #111111;
    --background: #15111d;
    --secondary-bg: url(/res/bg/darkmode/write2.png);
    --main-bg: url(/res/bg/darkmode/write.jpg);
    --border: url(/res/border/darkmode/write.png);
}

@font-face {
    font-family: 'rainy';
    src: url(/res/font/rainyhearts.ttf);
}

@font-face {
    font-family: 'made';
    src: url(/res/font/Mademoiselle.ttf);
}

@font-face {
    font-family: 'emoji';
    src: url(/res/font/EmojiFont.ttf);
}

body {
    background-image: var(--main-bg);
    background-attachment: fixed;
    color: var(--main-text);
    font-family: 'rainy';
}

.banner {
    width: 60%;
    border: 15px solid transparent;
    border-image: var(--border) 16 fill round;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 15px;
}

.menu {
    width: 20%;
    background-color: var(--background);
    border: 1px solid var(--secondary-text);
    border-radius: 20px 0px 0px 20px;
    padding: 10px;
    margin-right: 15px;
    height: 550px;
}
.menu h1 {
    text-align: center;
    color: var(--white);
    font-family: 'made';
    text-shadow: -1px -1px 0 var(--main-text), 1px -1px 0 var(--main-text), -1px 1px 0 var(--main-text), 1px 1px 0 var(--main-text);
    margin: 0;
}

.update h1 {
    text-align: center;
    color: var(--white);
    font-family: 'made';
    text-shadow: -1px -1px 0 var(--main-text), 1px -1px 0 var(--main-text), -1px 1px 0 var(--main-text), 1px 1px 0 var(--main-text);
    margin: 0;
}

.menu ul {
    list-style-type: none;
    font-size: 15px;
    margin: 0;
    padding: 0;
}

.menu li {
    background-color: var(--white);
    margin-bottom: 5px;
    padding: 5px;
    border: 1px dashed var(--main-text);
}

.menu a, .menu a:visited {
    text-decoration: none;
    color: var(--main-text);
}

.menu li a:hover {
    background-color: transparent;
    color: var(--secondary-text);
}
.menu li:hover {
    border-style: solid;
    border-color: var(--secondary-text);
}

a.nsfw, a:visited.nsfw {
    color: var(--highlight);
}

a:hover.nsfw  {
    color: var(--secondary-highlight);
}

li.nsfw {
    border-color: var(--highlight);
}

li.nsfw:hover {
    border-color: var(--secondary-highlight);
}

.main {
    width: 75%;
    background-color: var(--white);
    border: 1px solid var(--secondary-text);
    border-radius: 0px 20px 20px 0px;
    padding: 10PX;
}

#box {
    margin-left: auto;
    margin-right: auto;
    width: 60%;
    border: 15px solid transparent;
    border-image: var(--border) 16 fill round;
}

.box {
    display: flex;
    padding: 10px;
    background-image: var(--secondary-bg);
}

#update {
    width: 15%;
    border: 15px solid transparent;
    border-image: var(--border) 16 fill round;
    position: sticky;
    top: 65%;
    margin-bottom: -210px;
}

.update {
    background-color: var(--white);
    padding: 10px;
    min-height: 165px;
    overflow: auto;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background-image: var(--main-bg);
}

::-webkit-scrollbar-thumb {
    background-color: var(--secondary-text);
}

a, a:visited {
    color: var(--main-text);
}

a:hover {
    text-decoration: none;
}

#theme-switch {
    width: 6%;
    font-family: 'emoji';
    padding: 10px 10px 5px 10px;
    border-radius: 20px;
    background-color: var(--white);
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--secondary-text);
    font-size: 3vw;
    position: fixed;
    right: 10px;
    cursor: pointer;
    border: 15px solid transparent;
    border-image: var(--border) 16 fill round;
}

.sun {
    display: none;
}

.moon {
    display: inline-block;
}

body.darkmode .sun {
    display: inline-block;
}

body.darkmode .moon {
    display: none;
}